
#include "PrecisionTime.h"

// A precise second counter (If precision time is calibrated).
// By HKJ from lygte-info.dk

PrecisionTime precisionTime(PRECISIONTIME_EEPROM_ADDRESS);

PRECISION_TIMER_INTR(precisionTime)

uint32_t seconds;

void setup() {
  precisionTime.begin();
  Serial.begin(9600);
  Serial.println("Demo precision time");
}

void loop() {
  byte ds = precisionTime.getDeltaSeconds();
  if (ds > 0) {
    seconds += ds;
    Serial.print(precisionTime.isCalibrated() ? "A" : "About a");
    Serial.print(" second, total: ");
    Serial.print(seconds);
    Serial.println();
  }

}